[![Codacy Badge](https://api.codacy.com/project/badge/Grade/3d8a94bf48e1483ba684794fc166ab2e)](https://www.codacy.com/app/Soumil07/node-clash?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=Soumil07/node-clash&amp;utm_campaign=Badge_Grade)
[![Build Status](https://travis-ci.org/Soumil07/node-clash.svg?branch=master)](https://travis-ci.org/Soumil07/node-clash)
[![npm](https://img.shields.io/npm/dt/node-clash.svg?maxAge=3600)](https://www.npmjs.com/package/node-clash)


A promise base library to interact with the Clash of Clans [API.](https://developer.clashofclans.com/#/)

## Installation

`npm install node-clash`

## Usage

```javascript
let API = require('node-clash');
API = new API('your-token-goes-here');

API.getPlayer('RC99808L').then(console.log);
```

## Tests

`npm test`

## Contributing

In lieu of a formal style guide, take care to maintain the existing coding style. Add unit tests for any new or changed functionality. Lint and test your code.

## Links

[Official CoC API](https://developer.clashofclans.com)

[API Section(Supercell Forums)](https://forum.supercell.com/forumdisplay.php/123-Clash-of-Clans-API)

